package com.starry.admin.modules.play.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.starry.admin.modules.play.module.entity.PlayNoticeInfoEntity;

import java.util.List;

/**
 * 公告Service接口
 *
 * @author admin
 * @since 2024-04-06
 */
public interface IPlayNoticeInfoService extends IService<PlayNoticeInfoEntity> {
    /**
     * 查询公告
     *
     * @param id 公告主键
     * @return 公告
     */
    PlayNoticeInfoEntity selectPlayNoticeInfoById(String id);

    /**
     * 查询公告列表
     *
     * @return 公告集合
     */
    List<PlayNoticeInfoEntity> selectPlayNoticeInfo();

    /**
     * 查询公告列表
     *
     * @param playNoticeInfo 公告
     * @return 公告集合
     */
    IPage<PlayNoticeInfoEntity> selectPlayNoticeInfoByPage(PlayNoticeInfoEntity playNoticeInfo);

    /**
     * 新增公告
     *
     * @param playNoticeInfo 公告
     * @return 结果
     */
    boolean create(PlayNoticeInfoEntity playNoticeInfo);

    /**
     * 修改公告
     *
     * @param playNoticeInfo 公告
     * @return 结果
     */
    boolean update(PlayNoticeInfoEntity playNoticeInfo);

    /**
     * 批量删除公告
     *
     * @param ids 需要删除的公告主键集合
     * @return 结果
     */
    int deletePlayNoticeInfoByIds(String[] ids);

    /**
     * 删除公告信息
     *
     * @param id 公告主键
     * @return 结果
     */
    int deletePlayNoticeInfoById(String id);
}
